com.typesafe.config

## Class ConfigException.ValidationFailed

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.typesafe.config.ConfigException
        - - com.typesafe.config.ConfigException.ValidationFailed

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  ConfigException

    public static class ConfigException.ValidationFailed
    extends ConfigException

Exception indicating that `Config.checkValid(com.typesafe.config.Config, java.lang.String...)` found validity problems. The problems are available via the `problems()` method. The `getMessage()` of this exception is a potentially very long string listing all the problems found.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.typesafe.config.ConfigException

`ConfigException.BadBean, ConfigException.BadPath, ConfigException.BadValue, ConfigException.BugOrBroken, ConfigException.Generic, ConfigException.IO, ConfigException.Missing, ConfigException.NotResolved, ConfigException.Null, ConfigException.Parse, ConfigException.UnresolvedSubstitution, ConfigException.ValidationFailed, ConfigException.ValidationProblem, ConfigException.WrongType`

### Constructor Summary

Constructors
Constructor and Description
`ValidationFailed(java.lang.Iterable<ConfigException.ValidationProblem> problems)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Iterable<ConfigException.ValidationProblem>` `problems()`

### Methods inherited from class com.typesafe.config.ConfigException

`origin`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ValidationFailed

    public ValidationFailed(java.lang.Iterable<ConfigException.ValidationProblem> problems)

### Method Detail

#### problems

    public java.lang.Iterable<ConfigException.ValidationProblem> problems()